Index: code/branches/kicklib/src/libraries/util/Convert.h
===================================================================
--- code/branches/kicklib/src/libraries/util/Convert.h	(revision 8068)
+++ code/branches/kicklib/src/libraries/util/Convert.h	(revision 8071)
@@ -143,5 +143,5 @@
     struct ConverterFallback
     {
-        FORCEINLINE static bool convert(ToType* output, const FromType& input)
+        ORX_FORCEINLINE static bool convert(ToType* output, const FromType& input)
         {
             COUT(2) << "Could not convert value of type " << typeid(FromType).name()
@@ -155,5 +155,5 @@
     struct ConverterFallback<FromType*, ToType*>
     {
-        FORCEINLINE static bool convert(ToType** output, FromType* const input)
+        ORX_FORCEINLINE static bool convert(ToType** output, FromType* const input)
         {
             ToType* temp = dynamic_cast<ToType*>(input);
@@ -182,5 +182,5 @@
 struct ConverterStringStream
 {
-    FORCEINLINE static bool convert(ToType* output, const FromType& input)
+    ORX_FORCEINLINE static bool convert(ToType* output, const FromType& input)
     {
         return orxonox::ConverterFallback<FromType, ToType>::convert(output, input);
@@ -198,5 +198,5 @@
     /// Fallback operator <<() (delegates to orxonox::ConverterFallback)
     template <class FromType>
-    FORCEINLINE bool operator <<(std::ostream& outstream,  const FromType& input)
+    ORX_FORCEINLINE bool operator <<(std::ostream& outstream,  const FromType& input)
     {
         std::string temp;
@@ -215,5 +215,5 @@
 struct ConverterStringStream<FromType, std::string>
 {
-    FORCEINLINE static bool convert(std::string* output, const FromType& input)
+    ORX_FORCEINLINE static bool convert(std::string* output, const FromType& input)
     {
         using namespace fallbackTemplates;
@@ -241,5 +241,5 @@
     /// Fallback operator >>() (delegates to orxonox::ConverterFallback)
     template <class ToType>
-    FORCEINLINE bool operator >>(std::istream& instream, ToType& output)
+    ORX_FORCEINLINE bool operator >>(std::istream& instream, ToType& output)
     {
         std::string input(static_cast<std::istringstream&>(instream).str());
@@ -252,5 +252,5 @@
 struct ConverterStringStream<std::string, ToType>
 {
-    FORCEINLINE static bool convert(ToType* output, const std::string& input)
+    ORX_FORCEINLINE static bool convert(ToType* output, const std::string& input)
     {
         using namespace fallbackTemplates;
@@ -276,5 +276,5 @@
     /// %Template delegates to ::ConverterStringStream
     template <class FromType, class ToType>
-    FORCEINLINE bool convertImplicitely(ToType* output, const FromType& input, Loki::Int2Type<false>)
+    ORX_FORCEINLINE bool convertImplicitely(ToType* output, const FromType& input, Loki::Int2Type<false>)
     {
         return ConverterStringStream<FromType, ToType>::convert(output, input);
@@ -283,5 +283,5 @@
     /// Makes an implicit cast from \a FromType to \a ToType
     template <class FromType, class ToType>
-    FORCEINLINE bool convertImplicitely(ToType* output, const FromType& input, Loki::Int2Type<true>)
+    ORX_FORCEINLINE bool convertImplicitely(ToType* output, const FromType& input, Loki::Int2Type<true>)
     {
         (*output) = static_cast<ToType>(input);
@@ -303,5 +303,5 @@
     {
         enum { probe = ImplicitConversion<FromType, ToType>::exists };
-        FORCEINLINE static bool convert(ToType* output, const FromType& input)
+        ORX_FORCEINLINE static bool convert(ToType* output, const FromType& input)
         {
             // Use the probe's value to delegate to the right function
@@ -327,5 +327,5 @@
     */
     template <class FromType, class ToType>
-    FORCEINLINE bool convertValue(ToType* output, const FromType& input)
+    ORX_FORCEINLINE bool convertValue(ToType* output, const FromType& input)
     {
         return ConverterExplicit<FromType, ToType>::convert(output, input);
@@ -348,5 +348,5 @@
     */
     template<class FromType, class ToType>
-    FORCEINLINE bool convertValue(ToType* output, const FromType& input, const ToType& fallback)
+    ORX_FORCEINLINE bool convertValue(ToType* output, const FromType& input, const ToType& fallback)
     {
         if (convertValue(output, input))
@@ -361,5 +361,5 @@
     /// Directly returns the converted value, but uses the fallback on failure. @see convertValue
     template<class FromType, class ToType>
-    FORCEINLINE ToType getConvertedValue(const FromType& input, const ToType& fallback)
+    ORX_FORCEINLINE ToType getConvertedValue(const FromType& input, const ToType& fallback)
     {
         ToType output;
@@ -380,5 +380,5 @@
     */
     template<class ToType, class FromType>
-    FORCEINLINE ToType multi_cast(const FromType& input)
+    ORX_FORCEINLINE ToType multi_cast(const FromType& input)
     {
         ToType output;
@@ -395,5 +395,5 @@
     struct ConverterExplicit<const char*, ToType>
     {
-        FORCEINLINE static bool convert(ToType* output, const char* input)
+        ORX_FORCEINLINE static bool convert(ToType* output, const char* input)
         {
             return convertValue<std::string, ToType>(output, input);
@@ -405,5 +405,5 @@
     struct ConverterExplicit<char, std::string>
     {
-        FORCEINLINE static bool convert(std::string* output, const char input)
+        ORX_FORCEINLINE static bool convert(std::string* output, const char input)
         {
             *output = input;
@@ -415,5 +415,5 @@
     struct ConverterExplicit<unsigned char, std::string>
     {
-        FORCEINLINE static bool convert(std::string* output, const unsigned char input)
+        ORX_FORCEINLINE static bool convert(std::string* output, const unsigned char input)
         {
             *output = input;
@@ -425,5 +425,5 @@
     struct ConverterExplicit<std::string, char>
     {
-        FORCEINLINE static bool convert(char* output, const std::string& input)
+        ORX_FORCEINLINE static bool convert(char* output, const std::string& input)
         {
             if (!input.empty())
@@ -438,5 +438,5 @@
     struct ConverterExplicit<std::string, unsigned char>
     {
-        FORCEINLINE static bool convert(unsigned char* output, const std::string& input)
+        ORX_FORCEINLINE static bool convert(unsigned char* output, const std::string& input)
         {
             if (!input.empty())
@@ -453,5 +453,5 @@
     struct ConverterExplicit<bool, std::string>
     {
-        FORCEINLINE static bool convert(std::string* output, const bool& input)
+        ORX_FORCEINLINE static bool convert(std::string* output, const bool& input)
         {
             if (input)
Index: code/branches/kicklib/src/libraries/util/MathConvert.h
===================================================================
--- code/branches/kicklib/src/libraries/util/MathConvert.h	(revision 8068)
+++ code/branches/kicklib/src/libraries/util/MathConvert.h	(revision 8071)
@@ -51,5 +51,5 @@
     struct ConverterExplicit<orxonox::Vector2, std::string>
     {
-        FORCEINLINE static bool convert(std::string* output, const orxonox::Vector2& input)
+        ORX_FORCEINLINE static bool convert(std::string* output, const orxonox::Vector2& input)
         {
             std::ostringstream ostream;
@@ -67,5 +67,5 @@
     struct ConverterExplicit<orxonox::Vector3, std::string>
     {
-        FORCEINLINE static bool convert(std::string* output, const orxonox::Vector3& input)
+        ORX_FORCEINLINE static bool convert(std::string* output, const orxonox::Vector3& input)
         {
             std::ostringstream ostream;
@@ -83,5 +83,5 @@
     struct ConverterExplicit<orxonox::Vector4, std::string>
     {
-        FORCEINLINE static bool convert(std::string* output, const orxonox::Vector4& input)
+        ORX_FORCEINLINE static bool convert(std::string* output, const orxonox::Vector4& input)
         {
             std::ostringstream ostream;
@@ -99,5 +99,5 @@
     struct ConverterExplicit<orxonox::Quaternion, std::string>
     {
-        FORCEINLINE static bool convert(std::string* output, const orxonox::Quaternion& input)
+        ORX_FORCEINLINE static bool convert(std::string* output, const orxonox::Quaternion& input)
         {
             std::ostringstream ostream;
@@ -115,5 +115,5 @@
     struct ConverterExplicit<orxonox::ColourValue, std::string>
     {
-        FORCEINLINE static bool convert(std::string* output, const orxonox::ColourValue& input)
+        ORX_FORCEINLINE static bool convert(std::string* output, const orxonox::ColourValue& input)
         {
             std::ostringstream ostream;
@@ -157,5 +157,5 @@
     struct ConverterFallback<orxonox::Radian, ToType>
     {
-        FORCEINLINE static bool convert(ToType* output, const orxonox::Radian& input)
+        ORX_FORCEINLINE static bool convert(ToType* output, const orxonox::Radian& input)
         {
             return convertValue<Ogre::Real, ToType>(output, input.valueRadians());
@@ -167,5 +167,5 @@
     struct ConverterFallback<orxonox::Degree, ToType>
     {
-        FORCEINLINE static bool convert(ToType* output, const orxonox::Degree& input)
+        ORX_FORCEINLINE static bool convert(ToType* output, const orxonox::Degree& input)
         {
             return convertValue<Ogre::Real, ToType>(output, input.valueDegrees());
@@ -177,5 +177,5 @@
     struct ConverterFallback<FromType, orxonox::Radian>
     {
-        FORCEINLINE static bool convert(orxonox::Radian* output, const FromType& input)
+        ORX_FORCEINLINE static bool convert(orxonox::Radian* output, const FromType& input)
         {
             float temp;
@@ -194,5 +194,5 @@
     struct ConverterFallback<FromType, orxonox::Degree>
     {
-        FORCEINLINE static bool convert(orxonox::Degree* output, const FromType& input)
+        ORX_FORCEINLINE static bool convert(orxonox::Degree* output, const FromType& input)
         {
             float temp;
Index: code/branches/kicklib/src/libraries/util/SharedPtr.h
===================================================================
--- code/branches/kicklib/src/libraries/util/SharedPtr.h	(revision 8068)
+++ code/branches/kicklib/src/libraries/util/SharedPtr.h	(revision 8071)
@@ -163,4 +163,5 @@
             public:
                 SharedCounter() : count_(1) {}
+                virtual ~SharedCounter() {}
                 virtual void destroy() = 0;
 
@@ -186,5 +187,5 @@
         _UtilExport SmallObjectAllocator& createSharedCounterPool();
 
-        FORCEINLINE SmallObjectAllocator& getSharedCounterPool()
+        ORX_FORCEINLINE SmallObjectAllocator& getSharedCounterPool()
         {
             static SmallObjectAllocator& instance = createSharedCounterPool();
Index: code/branches/kicklib/src/libraries/util/SignalHandler.h
===================================================================
--- code/branches/kicklib/src/libraries/util/SignalHandler.h	(revision 8068)
+++ code/branches/kicklib/src/libraries/util/SignalHandler.h	(revision 8071)
@@ -70,5 +70,5 @@
 
     /// The SignalHandler is used to catch signals like SIGSEGV and write a backtrace to the logfile.
-    class SignalHandler : public Singleton<SignalHandler>
+    class _UtilExport SignalHandler : public Singleton<SignalHandler>
     {
         friend class Singleton<SignalHandler>;
Index: code/branches/kicklib/src/libraries/util/UtilPrereqs.h
===================================================================
--- code/branches/kicklib/src/libraries/util/UtilPrereqs.h	(revision 8068)
+++ code/branches/kicklib/src/libraries/util/UtilPrereqs.h	(revision 8071)
@@ -52,8 +52,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _UtilPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _UtilExport  __attribute__ ((visibility("default")))
+#  define _UtilPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _UtilExport
+#  define _UtilPrivate
 #endif
 
Index: code/branches/kicklib/src/modules/designtools/DesignToolsPrereqs.h
===================================================================
--- code/branches/kicklib/src/modules/designtools/DesignToolsPrereqs.h	(revision 8068)
+++ code/branches/kicklib/src/modules/designtools/DesignToolsPrereqs.h	(revision 8071)
@@ -53,8 +53,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _DesignToolsPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _DesignToolsExport  __attribute__ ((visibility("default")))
+#  define _DesignToolsPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _DesignToolsExport
+#  define _DesignToolsPrivate
 #endif
 
Index: code/branches/kicklib/src/modules/notifications/NotificationsPrereqs.h
===================================================================
--- code/branches/kicklib/src/modules/notifications/NotificationsPrereqs.h	(revision 8068)
+++ code/branches/kicklib/src/modules/notifications/NotificationsPrereqs.h	(revision 8071)
@@ -53,8 +53,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _NotificationsPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _NotificationsExport  __attribute__ ((visibility("default")))
+#  define _NotificationsPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _NotificationsExport
+#  define _NotificationsPrivate
 #endif
 
Index: code/branches/kicklib/src/modules/objects/ObjectsPrereqs.h
===================================================================
--- code/branches/kicklib/src/modules/objects/ObjectsPrereqs.h	(revision 8068)
+++ code/branches/kicklib/src/modules/objects/ObjectsPrereqs.h	(revision 8071)
@@ -53,8 +53,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _ObjectsPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _ObjectsExport  __attribute__ ((visibility("default")))
+#  define _ObjectsPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _ObjectsExport
+#  define _ObjectsPrivate
 #endif
 
Index: code/branches/kicklib/src/modules/overlays/OverlaysPrereqs.h
===================================================================
--- code/branches/kicklib/src/modules/overlays/OverlaysPrereqs.h	(revision 8068)
+++ code/branches/kicklib/src/modules/overlays/OverlaysPrereqs.h	(revision 8071)
@@ -53,8 +53,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _OverlaysPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _OverlaysExport  __attribute__ ((visibility("default")))
+#  define _OverlaysPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _OverlaysExport
+#  define _OverlaysPrivate
 #endif
 
Index: code/branches/kicklib/src/modules/pickup/PickupPrereqs.h
===================================================================
--- code/branches/kicklib/src/modules/pickup/PickupPrereqs.h	(revision 8068)
+++ code/branches/kicklib/src/modules/pickup/PickupPrereqs.h	(revision 8071)
@@ -53,8 +53,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _PickupPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _PickupExport  __attribute__ ((visibility("default")))
+#  define _PickupPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _PickupExport
+#  define _PickupPrivate
 #endif
 
Index: code/branches/kicklib/src/modules/pong/PongPrereqs.h
===================================================================
--- code/branches/kicklib/src/modules/pong/PongPrereqs.h	(revision 8068)
+++ code/branches/kicklib/src/modules/pong/PongPrereqs.h	(revision 8071)
@@ -53,8 +53,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _PongPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _PongExport  __attribute__ ((visibility("default")))
+#  define _PongPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _PongExport
+#  define _PongPrivate
 #endif
 
Index: code/branches/kicklib/src/modules/questsystem/QuestEffect.cc
===================================================================
--- code/branches/kicklib/src/modules/questsystem/QuestEffect.cc	(revision 8068)
+++ code/branches/kicklib/src/modules/questsystem/QuestEffect.cc	(revision 8071)
@@ -68,12 +68,12 @@
     /*static*/ bool QuestEffect::invokeEffects(PlayerInfo* player, std::list<QuestEffect*> & effects)
     {
-        bool check = true;
+        bool temp = true;
 
         COUT(4) << "Invoking QuestEffects on player: " << player << " ."  << std::endl;
 
         for (std::list<QuestEffect*>::iterator effect = effects.begin(); effect != effects.end(); effect++)
-            check = check && (*effect)->invoke(player);
+            temp = temp && (*effect)->invoke(player);
 
-        return check;
+        return temp;
     }
 
Index: code/branches/kicklib/src/modules/questsystem/QuestEffectBeacon.cc
===================================================================
--- code/branches/kicklib/src/modules/questsystem/QuestEffectBeacon.cc	(revision 8068)
+++ code/branches/kicklib/src/modules/questsystem/QuestEffectBeacon.cc	(revision 8071)
@@ -143,6 +143,6 @@
         COUT(4) << "QuestEffectBeacon executed on player: " << player << " ." << std::endl;
 
-        bool check = QuestEffect::invokeEffects(player, this->effects_); // Invoke the QuestEffects on the PlayerInfo.
-        if(check)
+        bool temp = QuestEffect::invokeEffects(player, this->effects_); // Invoke the QuestEffects on the PlayerInfo.
+        if(temp)
         {
             this->decrementTimes(); // Decrement the number of times the beacon can be used.
Index: code/branches/kicklib/src/modules/questsystem/QuestsystemPrereqs.h
===================================================================
--- code/branches/kicklib/src/modules/questsystem/QuestsystemPrereqs.h	(revision 8068)
+++ code/branches/kicklib/src/modules/questsystem/QuestsystemPrereqs.h	(revision 8071)
@@ -53,8 +53,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _QuestsystemPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _QuestsystemExport  __attribute__ ((visibility("default")))
+#  define _QuestsystemPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _QuestsystemExport
+#  define _QuestsystemPrivate
 #endif
 
Index: code/branches/kicklib/src/modules/questsystem/effects/AddReward.cc
===================================================================
--- code/branches/kicklib/src/modules/questsystem/effects/AddReward.cc	(revision 8068)
+++ code/branches/kicklib/src/modules/questsystem/effects/AddReward.cc	(revision 8071)
@@ -105,11 +105,11 @@
         COUT(5) << "AddReward on player: " << player << " ." << std::endl;
 
-        bool check = true;
+        bool temp = true;
         for ( std::list<Rewardable*>::iterator reward = this->rewards_.begin(); reward != this->rewards_.end(); ++reward )
-            check = check && (*reward)->reward(player);
+            temp = temp && (*reward)->reward(player);
 
         COUT(4) << "Rewardable successfully added to player." << player << " ." << std::endl;
 
-        return check;
+        return temp;
     }
 
Index: code/branches/kicklib/src/modules/weapons/WeaponsPrereqs.h
===================================================================
--- code/branches/kicklib/src/modules/weapons/WeaponsPrereqs.h	(revision 8068)
+++ code/branches/kicklib/src/modules/weapons/WeaponsPrereqs.h	(revision 8071)
@@ -53,8 +53,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _WeaponsPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _WeaponsExport  __attribute__ ((visibility("default")))
+#  define _WeaponsPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _WeaponsExport
+#  define _WeaponsPrivate
 #endif
 
Index: code/branches/kicklib/src/orxonox/MoodManager.cc
===================================================================
--- code/branches/kicklib/src/orxonox/MoodManager.cc	(revision 8068)
+++ code/branches/kicklib/src/orxonox/MoodManager.cc	(revision 8071)
@@ -50,10 +50,13 @@
 
         // Checking for the existence of the folder for the default mood
-        const std::string& path = "ambient/" + MoodManager::defaultMood_ + "/.";
-        if (!Resource::exists(path))
+        const std::string& patha = "ambient/" + MoodManager::defaultMood_ + "/.";
+        if (!Resource::exists(patha))
         {
             // TODO: Non-fatal error handling (non-critical resource missing)
             COUT(2) << "Mood Warning: Folder for default mood (" << MoodManager::defaultMood_ << ") does not exist!" << std::endl;
         }
+        
+        // @TODO
+        // Creating a vector of the available moods to enable easy mood selection by Lua/CEGUI        
     }
 
Index: code/branches/kicklib/src/orxonox/OrxonoxPrereqs.h
===================================================================
--- code/branches/kicklib/src/orxonox/OrxonoxPrereqs.h	(revision 8068)
+++ code/branches/kicklib/src/orxonox/OrxonoxPrereqs.h	(revision 8071)
@@ -53,8 +53,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _OrxonoxPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _OrxonoxExport  __attribute__ ((visibility("default")))
+#  define _OrxonoxPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _OrxonoxExport
+#  define _OrxonoxPrivate
 #endif
 
Index: code/branches/kicklib/src/orxonox/sound/AmbientSound.cc
===================================================================
--- code/branches/kicklib/src/orxonox/sound/AmbientSound.cc	(revision 8068)
+++ code/branches/kicklib/src/orxonox/sound/AmbientSound.cc	(revision 8071)
@@ -42,5 +42,5 @@
 
         // Ambient sounds always fade in
-        this->setVolume(0);
+        this->setVolume(0.0f);
     }
 
Index: code/branches/kicklib/src/orxonox/sound/BaseSound.cc
===================================================================
--- code/branches/kicklib/src/orxonox/sound/BaseSound.cc	(revision 8068)
+++ code/branches/kicklib/src/orxonox/sound/BaseSound.cc	(revision 8071)
@@ -31,5 +31,10 @@
 #include <cassert>
 #include <vector>
+
+#ifdef ORXONOX_PLATFORM_APPLE
+#include "openal/al.h"
+#else
 #include <al.h>
+#endif
 
 #include "util/Math.h"
Index: code/branches/kicklib/src/orxonox/sound/SoundBuffer.cc
===================================================================
--- code/branches/kicklib/src/orxonox/sound/SoundBuffer.cc	(revision 8068)
+++ code/branches/kicklib/src/orxonox/sound/SoundBuffer.cc	(revision 8071)
@@ -30,5 +30,9 @@
 #include "SoundBuffer.h"
 
+#if defined(ORXONOX_PLATFORM_APPLE)
+#include <ALUT/alut.h>
+#else
 #include <AL/alut.h>
+#endif
 #include <vorbis/vorbisfile.h>
 
Index: code/branches/kicklib/src/orxonox/sound/SoundManager.cc
===================================================================
--- code/branches/kicklib/src/orxonox/sound/SoundManager.cc	(revision 8068)
+++ code/branches/kicklib/src/orxonox/sound/SoundManager.cc	(revision 8071)
@@ -31,5 +31,9 @@
 #include "SoundManager.h"
 
+#if defined(__APPLE__)
+#include <ALUT/alut.h>
+#else
 #include <AL/alut.h>
+#endif
 #include <utility>
 #include <loki/ScopeGuard.h>
@@ -73,10 +77,13 @@
         this->bDestructorCalled_ = false;
 
+        // Clear error messages (might be problematic on some systems)
+        alGetError();
+        alutGetError();
+
         // See whether we even want to load
         bool bDisableSound_ = false;
         SetConfigValue(bDisableSound_, false);
         if (bDisableSound_)
-            ThrowException(InitialisationAborted, "Sound: Not loading at all");
-
+            ThrowException(InitialisationAborted, "Sound: Not loading at all");        
         if (!alutInitWithoutContext(NULL, NULL))
             ThrowException(InitialisationFailed, "Sound Error: ALUT initialisation failed: " << alutGetErrorString(alutGetError()));
@@ -126,8 +133,8 @@
         GameMode::setPlaysSound(true);
         Loki::ScopeGuard resetPlaysSoundGuard = Loki::MakeGuard(&GameMode::setPlaysSound, false);
-
+        
         // Get some information about the sound
         if (const char* version = alGetString(AL_VERSION))
-            COUT(4) << "Sound: --- OpenAL Version: " << version << std::endl;
+            COUT(4) << "Sound: --- OpenAL Version: " << version << std::endl;            
         if (const char* vendor = alGetString(AL_VENDOR))
             COUT(4) << "Sound: --- OpenAL Vendor : " << vendor << std::endl;
Index: code/branches/kicklib/src/orxonox/sound/SoundStreamer.cc
===================================================================
--- code/branches/kicklib/src/orxonox/sound/SoundStreamer.cc	(revision 8068)
+++ code/branches/kicklib/src/orxonox/sound/SoundStreamer.cc	(revision 8071)
@@ -27,5 +27,10 @@
 #include "SoundStreamer.h"
 
+#ifdef ORXONOX_PLATFORM_APPLE
+#include "openal/al.h"
+#else
 #include <al.h>
+#endif
+
 #include <vorbis/vorbisfile.h>
 #include "SoundManager.h"
Index: code/branches/kicklib/src/orxonox/sound/WorldSound.cc
===================================================================
--- code/branches/kicklib/src/orxonox/sound/WorldSound.cc	(revision 8068)
+++ code/branches/kicklib/src/orxonox/sound/WorldSound.cc	(revision 8071)
@@ -30,5 +30,9 @@
 #include "WorldSound.h"
 
+#if defined(__APPLE__)
+#include <ALUT/alut.h>
+#else
 #include <AL/alut.h>
+#endif
 #include "util/Math.h"
 #include "core/CoreIncludes.h"
